Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.params
Class NIOReactorParams

    java.lang.Object
      org.apache.http.nio.params.NIOReactorParams

All Implemented Interfaces:
  NIOReactorPNames

Deprecated. (4.2) use `IOReactorConfig`

    @Deprecated
    public final class NIOReactorParams

extends Object
implements NIOReactorPNames

Utility class for accessing I/O reactor parameters in `HttpParams`.

Since:
  4.0
See Also:
  `NIOReactorPNames`

Field Summary

Fields inherited from interface org.apache.http.nio.params.NIOReactorPNames
`CONTENT_BUFFER_SIZE, GRACE_PERIOD, INTEREST_OPS_QUEUEING, SELECT_INTERVAL`

Method Summary
`static int` | `getContentBufferSize(HttpParams params)` Deprecated. Obtains the value of `NIOReactorPNames.CONTENT_BUFFER_SIZE` parameter.
`static long` | `getGracePeriod(HttpParams params)` Deprecated. Obtains the value of `NIOReactorPNames.GRACE_PERIOD` parameter.
`static boolean` | `getInterestOpsQueueing(HttpParams params)` Deprecated. Obtains the value of `NIOReactorPNames.INTEREST_OPS_QUEUEING` parameter.
`static long` | `getSelectInterval(HttpParams params)` Deprecated. Obtains the value of `NIOReactorPNames.SELECT_INTERVAL` parameter.
`static void` | `setContentBufferSize(HttpParams params, int size)` Deprecated. Sets value of the `NIOReactorPNames.CONTENT_BUFFER_SIZE` parameter.
`static void` | `setGracePeriod(HttpParams params, long ms)` Deprecated. Sets value of the `NIOReactorPNames.GRACE_PERIOD` parameter.
`static void` | `setInterestOpsQueueing(HttpParams params, boolean interestOpsQueueing)` Deprecated. Sets value of the `NIOReactorPNames.INTEREST_OPS_QUEUEING` parameter.
`static void` | `setSelectInterval(HttpParams params, long ms)` Deprecated. Sets value of the `NIOReactorPNames.SELECT_INTERVAL` parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContentBufferSize

    public static int getContentBufferSize(HttpParams params)

  Deprecated.
  Obtains the value of `NIOReactorPNames.CONTENT_BUFFER_SIZE` parameter. If not set, defaults to `4096`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    content buffer size.

### setContentBufferSize

    public static void setContentBufferSize(HttpParams params,
                                            int size)

  Deprecated.
  Sets value of the `NIOReactorPNames.CONTENT_BUFFER_SIZE` parameter.

  Parameters:
    `params` - HTTP parameters.
    `size` - content buffer size.

### getSelectInterval

    public static long getSelectInterval(HttpParams params)

  Deprecated.
  Obtains the value of `NIOReactorPNames.SELECT_INTERVAL` parameter. If not set, defaults to `1000`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    I/O select interval in milliseconds.

### setSelectInterval

    public static void setSelectInterval(HttpParams params,
                                         long ms)

  Deprecated.
  Sets value of the `NIOReactorPNames.SELECT_INTERVAL` parameter.

  Parameters:
    `params` - HTTP parameters.
    `ms` - I/O select interval in milliseconds.

### getGracePeriod

    public static long getGracePeriod(HttpParams params)

  Deprecated.
  Obtains the value of `NIOReactorPNames.GRACE_PERIOD` parameter. If not set, defaults to `500`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    shutdown grace period in milliseconds.

### setGracePeriod

    public static void setGracePeriod(HttpParams params,
                                      long ms)

  Deprecated.
  Sets value of the `NIOReactorPNames.GRACE_PERIOD` parameter.

  Parameters:
    `params` - HTTP parameters.
    `ms` - shutdown grace period in milliseconds.

### getInterestOpsQueueing

    public static boolean getInterestOpsQueueing(HttpParams params)

  Deprecated.
  Obtains the value of `NIOReactorPNames.INTEREST_OPS_QUEUEING` parameter. If not set, defaults to `false`.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    interest ops queuing flag.
  Since:
    4.1

### setInterestOpsQueueing

    public static void setInterestOpsQueueing(HttpParams params,
                                              boolean interestOpsQueueing)

  Deprecated.
  Sets value of the `NIOReactorPNames.INTEREST_OPS_QUEUEING` parameter.

  Parameters:
    `params` - HTTP parameters.
    `interestOpsQueueing` - interest ops queuing.
  Since:
    4.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.